API Reference
This documentation describes all functionality available through The Bridge HTTP REST API. All calls to The Bridge are encrypted over HTTPS.
Authentication
Section titled “Authentication”All calls to The Bridge APIs require you to authorize yourself as a valid app, either with your unique App ID or more commonly your secret API key. You should have received these keys upon registration.
The APIs expect you to authorize each call by including your API key in the HTTP headers:
x-api-key: YOUR_APP_API_KEY
This should not be confused with your users authenticating. When they login into your app they authenticate with their own credentials using an OAuth 2.0 flow.
Example request
curl --request GET 'https://api.thebridge.dev/account/app' \
--header 'x-api-key: YOUR_APP_API_KEY'GET Try it out
https://api.thebridge.dev/account/appRegistering for a new app
Section titled “Registering for a new app”Creating via The Bridge Admin
Section titled “Creating via The Bridge Admin”Go to The Bridge Admin and sign up for a new account if you don’t already have one.
Once you have logged in to your account you will be able to create new apps. Use the API key and the App ID to start calling our APIs.
Base URLs
Section titled “Base URLs”| Service | Base URL |
|---------|----------|
| Account API | https://api.thebridge.dev/account |
| Auth Service | https://api.thebridge.dev/auth |
| Communication API | https://api.thebridge.dev/communication |
| Admin API | https://api.thebridge.dev/admin |
| Backendless API | https://api.thebridge.dev/cloud-views |
API Sections
Section titled “API Sections”- Authentication: OAuth 2.0 user login flow, tokens, and handover codes
- Auth Flows (no SDK): request/response sequences for building auth without a Bridge SDK
- API Tokens: create, list, and revoke programmatic access tokens
- App Profile: manage your app configuration and credentials
- Branding: customize email templates, CSS, and translations
- Access Control: manage roles and privileges
- Federation: enterprise login with SAML connections
- Users: manage tenant users
- Tenants: manage customer workspaces
- Feature Flags: evaluate flags and manage flag definitions
- Payments: plans and taxes catalog configuration
- Subscriptions & Entitlements: a workspace’s live subscription, checkout, and entitlements
- Usage & Quotas: report metered usage and read quota state
- Event Log: ingest product analytics events and query counts, charts, and journeys
- Data Import: bulk import tenants and users
- Webhooks: event notifications and delivery management
- Models: data model reference
- Errors: error codes reference